GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkImageYBRToRGB Class Reference

`#include <vtkImageYBRToRGB.h>`

Inheritance diagram for vtkImageYBRToRGB:
[legend]
Collaboration diagram for vtkImageYBRToRGB:
[legend]

## Public Member Functions

void | PrintSelf (ostream &os, vtkIndent indent)
| vtkTypeRevisionMacro (vtkImageYBRToRGB, vtkThreadedImageAlgorithm)

## Static Public Member Functions

static vtkImageYBRToRGB * | New ()

## Protected Member Functions

| vtkImageYBRToRGB ()
| ~vtkImageYBRToRGB ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)

## Constructor & Destructor Documentation

vtkImageYBRToRGB::vtkImageYBRToRGB | ( |  | ) |

protected

vtkImageYBRToRGB::~vtkImageYBRToRGB | ( |  | ) |

inlineprotected

## Member Function Documentation

static vtkImageYBRToRGB* vtkImageYBRToRGB::New | ( |  | ) |

static

void vtkImageYBRToRGB::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |

void vtkImageYBRToRGB::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id
| ) |  |

protected

vtkImageYBRToRGB::vtkTypeRevisionMacro | ( | vtkImageYBRToRGB | ,
|  | vtkThreadedImageAlgorithm |
| ) |  |

The documentation for this class was generated from the following file:

- vtkImageYBRToRGB.h